devel/pcre - The NetBSD Packages Collection

Perl Compatible Regular Expressions library

PCRE is a Perl compatible library of regular expressions.  They
are based on a completely separate code-base from Henry Spencers
originals.  It has been designed to make efficient use of memory
for compiled regular expressions.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpcre-8.44.tgz
NetBSD 8.0earmv7hfpcre-8.44.tgz
NetBSD 8.0earmv7hfpcre-8.44.tgz
NetBSD 8.0earmv7hfpcre-8.44.tgz
NetBSD 8.0earmv7hfpcre-8.44.tgz
NetBSD 8.0i386pcre-8.44.tgz
NetBSD 8.0i386pcre-8.44.tgz
NetBSD 8.0i386pcre-8.44.tgz
NetBSD 8.0i386pcre-8.44.tgz
NetBSD 8.0powerpcpcre-8.44.tgz
NetBSD 8.0powerpcpcre-8.44.tgz
NetBSD 8.0powerpcpcre-8.44.tgz
NetBSD 8.0powerpcpcre-8.44.tgz
NetBSD 8.0x86_64pcre-8.44.tgz
NetBSD 8.0x86_64pcre-8.44.tgz
NetBSD 8.0x86_64pcre-8.44.tgz
NetBSD 8.0x86_64pcre-8.44.tgz
NetBSD 9.0aarch64pcre-8.44.tgz
NetBSD 9.0aarch64pcre-8.44.tgz
NetBSD 9.0aarch64pcre-8.44.tgz
NetBSD 9.0aarch64pcre-8.44.tgz
NetBSD 9.0alphapcre-8.44.tgz
NetBSD 9.0alphapcre-8.44.tgz
NetBSD 9.0earmpcre-8.44.tgz
NetBSD 9.0earmpcre-8.44.tgz
NetBSD 9.0earmv6hfpcre-8.44.tgz
NetBSD 9.0earmv6hfpcre-8.44.tgz
NetBSD 9.0earmv6hfpcre-8.44.tgz
NetBSD 9.0earmv6hfpcre-8.44.tgz
NetBSD 9.0earmv6hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0earmv7hfpcre-8.44.tgz
NetBSD 9.0i386pcre-8.44.tgz
NetBSD 9.0i386pcre-8.44.tgz
NetBSD 9.0i386pcre-8.44.tgz
NetBSD 9.0i386pcre-8.44.tgz
NetBSD 9.0m68kpcre-8.44.tgz
NetBSD 9.0m68kpcre-8.44.tgz
NetBSD 9.0m68kpcre-8.44.tgz
NetBSD 9.0mips64ebpcre-8.44.tgz
NetBSD 9.0mips64ebpcre-8.44.tgz
NetBSD 9.0mips64ebpcre-8.44.tgz
NetBSD 9.0mips64ebpcre-8.44.tgz
NetBSD 9.0mipselpcre-8.44.tgz
NetBSD 9.0mipselpcre-8.44.tgz
NetBSD 9.0mipselpcre-8.44.tgz
NetBSD 9.0powerpcpcre-8.44.tgz
NetBSD 9.0powerpcpcre-8.44.tgz
NetBSD 9.0powerpcpcre-8.44.tgz
NetBSD 9.0powerpcpcre-8.44.tgz
NetBSD 9.0powerpcpcre-8.44.tgz
NetBSD 9.0sh3elpcre-8.44.tgz
NetBSD 9.0sh3elpcre-8.44.tgz
NetBSD 9.0sh3elpcre-8.44.tgz
NetBSD 9.0sh3elpcre-8.44.tgz
NetBSD 9.0sparc64pcre-8.44.tgz
NetBSD 9.0sparc64pcre-8.44.tgz
NetBSD 9.0sparcpcre-8.44.tgz
NetBSD 9.0sparcpcre-8.44.tgz
NetBSD 9.0sparcpcre-8.44.tgz
NetBSD 9.0sparcpcre-8.44.tgz
NetBSD 9.0vaxpcre-8.44.tgz
NetBSD 9.0vaxpcre-8.44.tgz
NetBSD 9.0vaxpcre-8.44.tgz
NetBSD 9.0vaxpcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.44.tgz
NetBSD 9.0x86_64pcre-8.45.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.